Package org.opensaml.core.xml.schema

# Interface XSURI

All Superinterfaces:
  `XMLObject`

All Known Subinterfaces:
  `Action`, `ActionNamespace`, `AdditionalMetadataLocation`, `Address`, `AffiliateMember`, `AssertionURIRef`, `AttributedURI`, `AttributedURI`, `AttributeProfile`, `Audience`, `Audience`, `AuthenticatingAuthority`, `AuthenticationType`, `AuthnContextClassRef`, `AuthnContextDeclRef`, `CanonicalizationAlgorithm`, `Code`, `ComputedKey`, `ComputedKeyAlgorithm`, `ConfirmationMethod`, `EmailAddress`, `EncryptionAlgorithm`, `EncryptWith`, `FaultActor`, `GeolocationHint`, `GetComplete`, `InformationURL`, `KeyType`, `KeyWrapAlgorithm`, `LocalizedURI`, `Logo`, `MessageID`, `NameIDFormat`, `OrganizationURL`, `PrivacyStatementURL`, `ProblemIRI`, `RegistrationPolicy`, `RelatesTo`, `RequesterID`, `RequestType`, `SignatureAlgorithm`, `SignWith`, `SoapAction`, `To`, `TokenType`, `UsagePolicy`

All Known Implementing Classes:
  `ActionImpl`, `ActionNamespaceImpl`, `AdditionalMetadataLocationImpl`, `AddressImpl`, `AffiliateMemberImpl`, `AssertionURIRefImpl`, `AttributedURIImpl`, `AttributedURIImpl`, `AttributeProfileImpl`, `AudienceImpl`, `AudienceImpl`, `AuthenticatingAuthorityImpl`, `AuthenticationTypeImpl`, `AuthnContextClassRefImpl`, `AuthnContextDeclRefImpl`, `CanonicalizationAlgorithmImpl`, `CodeImpl`, `ComputedKeyAlgorithmImpl`, `ComputedKeyImpl`, `ConfirmationMethodImpl`, `EmailAddressImpl`, `EncryptionAlgorithmImpl`, `EncryptWithImpl`, `FaultActorImpl`, `GeolocationHintImpl`, `GetCompleteImpl`, `InformationURLImpl`, `KeyTypeImpl`, `KeyWrapAlgorithmImpl`, `LocalizedURIImpl`, `LogoImpl`, `MessageIDImpl`, `NameIDFormatImpl`, `OrganizationURLImpl`, `PrivacyStatementURLImpl`, `ProblemIRIImpl`, `RegistrationPolicyImpl`, `RelatesToImpl`, `RequesterIDImpl`, `RequestTypeImpl`, `SignatureAlgorithmImpl`, `SignWithImpl`, `SoapActionImpl`, `ToImpl`, `TokenTypeImpl`, `UsagePolicyImpl`, `XSURIImpl`

public interface XSURI extends XMLObject
XMLObject that represents an XML schema URI content bearing element.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`String`
`getURI()`
Gets the URI content of the element.
`void`
`setURI(String uri)`
Sets the URI content of the element.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

## Method Details

### getURI

@Nullable String getURI()
Gets the URI content of the element.

Returns:
  the URI content of the element

### setURI

void setURI(@Nullable String uri)
Sets the URI content of the element.

Parameters:
  `uri` - the URI content of the element